package com.red.circle.console.app.service.app.user;

import com.red.circle.other.inner.model.dto.user.UserRunProfileDTO;

/**
 * 用户运行资料.
 *
 * @author pengliang on 2022/2/19
 */
public interface UserRunProfileService {


  /**
   * 获取指定记录信息.
   */
  UserRunProfileDTO getById(Long id);

  /**
   * 删除用户记录.
   */
  void remove(Long id);

  /**
   * 修改指定记录信息.
   */
  void updateEntityById(Long id, String accountStatus);
}
